# Class TensorParameters<E>

Object
MatrixParameters<E>
TensorParameters<E>

Type Parameters:
  `E` - the type of tensor element values.

All Implemented Interfaces:
  `Serializable`, `CheckedContainer<E>`

@Deprecated(since="1.5", forRemoval=true) public class TensorParameters<E> extends MatrixParameters<E>
Deprecated, for removal: This API element is subject to removal in a future version.
Renamed `MatrixParameters` because this is not really a builder of tensors. Furthermore, the declared EPSG parameter names were incorrect. See SIS-619.
Creates parameter groups for tensors (usually matrices).

Since:
  0.4
See Also:
  - `Matrices`
  - SIS-619
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TensorParameters<Double>`
  `ALPHANUM`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Replaced by `MatrixParameters​.ALPHANUM`.
  `static final TensorParameters<Double>`
  `WKT1`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Replaced by `MatrixParameters​.WKT1`.

  ### Fields inherited from class MatrixParameters

  `EPSG, prefix, separator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TensorParameters(Class<E> elementType, String prefix, String separator, ParameterDescriptor<Integer>... dimensions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a descriptors provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `rank()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Renamed `MatrixParameters​.order()` because "rank" has a different meaning in linear algebra.

  ### Methods inherited from class MatrixParameters

  `createElementDescriptor, createValueGroup, createValueGroup, equals, getAllDescriptors, getDefaultValue, getDimensionDescriptor, getElementDescriptor, getElementType, hashCode, indicesToName, nameToIndices, order, properties, toMatrix, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ALPHANUM

    @Deprecated(since="1.5", forRemoval=true) public static final TensorParameters<Double> ALPHANUM
    Deprecated, for removal: This API element is subject to removal in a future version.
    Replaced by `MatrixParameters​.ALPHANUM`.
    Parses and creates matrix parameters with alphanumeric names.
    Since:
      0.6

  - ### WKT1

    @Deprecated(since="1.5", forRemoval=true) public static final TensorParameters<Double> WKT1
    Deprecated, for removal: This API element is subject to removal in a future version.
    Replaced by `MatrixParameters​.WKT1`.
    Parses and creates matrix parameters with names matching the Well Known Text version 1 (WKT 1) convention.

- ## Constructor Details

  - ### TensorParameters

    @SafeVarargs public TensorParameters(Class<E> elementType, String prefix, String separator, ParameterDescriptor<Integer>... dimensions)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a descriptors provider.
    Parameters:
      `elementType` - the type of tensor element values.
      `prefix` - the prefix to insert in front of parameter name for each tensor elements.
      `separator` - the separator between dimension (row, column, …) indices in parameter names.
      `dimensions` - the parameter for the size of each dimension, usually in an array of length 2. Length may be different if the caller wants to generalize usage of this class to tensors.

- ## Method Details

  - ### rank

    @Deprecated(since="1.5", forRemoval=true) public final int rank()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Renamed `MatrixParameters​.order()` because "rank" has a different meaning in linear algebra.